cURL
curl --request POST \
--url https://api.slash.com/payments/payment-intent \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"amount": 2,
"metadata": {}
}
'import requests
url = "https://api.slash.com/payments/payment-intent"
payload = {
"amount": 2,
"metadata": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 2, metadata: {}})
};
fetch('https://api.slash.com/payments/payment-intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentIntent": {
"id": "<string>",
"status": "pending",
"amount": 123,
"currency": "usd",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
},
"clientSecret": "<string>"
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}Payment Intent
Create payment intent
Create a payment intent for collection with the Slash Checkout SDK. When returned, the client secret authorizes browser bootstrap for only this payment intent and must not be logged or stored in browser persistence.
POST
/
payments
/
payment-intent
cURL
Authorizations
api_keybearer
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Headers
An optional unique key for this payment intent. Retrying the same request with the same key returns the previously created payment intent.
Body
application/json